Creates a new credit agency.
The credit agency name.
The encryption method that Peach system with use to encrypt the files.
The file name prefix. Must be provided if agencyName=experian and nameFilePerAgencyConvention=true. Only used if agencyName=experian and nameFilePerAgencyConvention=true.
DEPRECATED ATTRIBUTE
This field is deprecated, and is only included to remain backward compatible. Only send false.
If true Peach system will name the file based on the credit agency convention.
Equifax: Company legal name + Company ID + Credit agency name + today's date YYYYMMDD + .txt. For example: PEACHFINANCEINCCPYL69X5Z1EQUIFAX20211021.txt.
Experian: fileNamePrefix + . + today's date MMDDYYYY + .txt. For example: MKFRT.10262021.txt.
TransUnion: Company legal name + Company ID + Credit agency name + today's date YYYYMMDD + .txt. For example: PEACHFINANCEINCCPYL69X5Z1TRANSUNION20211213.txt.
If false Peach system will name the file as: Company legal name + Company ID + Credit agency name + today's date YYYYMMDD + .txt For example: PEACHFINANCEINCCPYL69X5Z1EXPERIAN20211021.txt
The lender's public key to use to encrypt the files. A value must be passed if encryptionMethod is set.
If usernamePassword, then sftpUsername and sftpPassword must be provided.
If keys, then sftpSSHPeachPrivateKey and sftpSSHPeachPublicKey will be created by peach.
The SFTP hostname. If SFTP hostname, username, and password are set, they will be used instead of the default credit bureau credentials. Host name should not contain a scheme, so don't put sftp:// on the front. You may optionally specify a port like so: example.com:222. If no port is supplied a default of 22 will be used.
Specific days designate the day(s) when to upload the credit reporting file. Only the 1st day of the month is currently supported.
The allowed values for specific day(s) depends on the uploadFrequency. monthly - provide one number in the valid range 1-31. 1=first day of a month. Use 31 to indicate the last day of a month.
For example: [1].
The credit reporting file creation frequency. Only monthly is currently supported.
Indicates what identifier to use as an account identifier for credit reporting.
If true, the system will use loan externalId as an account identifier for credit reporting. If externalId doesn't exist the system will use loan Peach Public ID.
If false, the system will use loan Peach Public ID (e.g. LN-JFU3-ER3S) as an account identifier for credit reporting.
The identifier of the agency to copy keys from.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/companies/{companyId}/credit-agencies' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"agencyName": "experian",
"country": "st",
"dataFormat": "metro2",
"encryptionMethod": "GPG",
"fileNamePrefix": "string",
"isPeachAggregator": false,
"nameFilePerAgencyConvention": true,
"publicKey": "string",
"sftpAccessMethod": "usernamePassword",
"sftpCdDir": "string",
"sftpHostname": "string",
"sftpPassword": "string",
"sftpUsername": "string",
"specificDays": [
1
],
"uploadFrequency": "monthly",
"useLoanExternalId": true,
"copyKeysFrom": "string",
"enrollExistingLoans": false
}'{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "agencyName": "experian", "companyId": "string", "country": "st", "dataFormat": "metro2", "encryptionMethod": "GPG", "fileNamePrefix": "string", "isPeachAggregator": false, "nameFilePerAgencyConvention": true, "publicKey": "string", "sftpAccessMethod": "usernamePassword", "sftpCdDir": "string", "sftpHostname": "string", "sftpPassword": "string", "sftpSSHPeachPrivateKey": "string", "sftpSSHPeachPublicKey": "string", "sftpUsername": "string", "specificDays": [ … ], "uploadFrequency": "monthly", "useLoanExternalId": true } }